<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dGl0b" . "GU="), "_b2f5a100451164396178c16d2" . "a5c6899" => base64_decode("cHJldl" . "90aXRs" . "ZQ=="), "_939c6a45ff" . "74323dbef48" . "7ed15753a7c" => base64_decode("c3RhdG" . "U="), "_6a90de6af30b" . "f720b668cfb57" . "0e606de" => base64_decode("cHJldl" . "9zdGF0" . "ZQ=="), "_2e858fb1973337f" . "53ff85c104fcb38f" . "4" => base64_decode("cHVibG" . "lzaGVk"), "_4c760fb02a49c55" . "509ba087b84fbda4" . "5" => base64_decode("ZHJh" . "ZnQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b2f5a100451164396178c16d2a5c" . "6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6a90de6af30" . "bf720b668cfb" . "570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_939c6a45" . "ff74323db" . "ef487ed15" . "753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_939c6a45ff74323dbef48" . "7ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4c760fb02a49c55509ba08" . "7b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}